com.ihr.xbrl.om.errors

## Class XBRLValidationReportToStringSerializer

- java.lang.Object
- - com.ihr.xbrl.om.errors.XBRLValidationReportToStringSerializer

- All Implemented Interfaces:
    XBRLValidationReportSerializer

      public class XBRLValidationReportToStringSerializer
      extends java.lang.Object
      implements XBRLValidationReportSerializer

  This class implements the XBRLValidationReportSerializer interface and generates a simple text string with the entire validation report. The user can select what parts of the report will be included in the report.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLValidationReportToStringSerializer()` Creates an XBRLValidationReportToStringSerializer that will include the ERRORS section and the INCONSISTENCIES section.
    `XBRLValidationReportToStringSerializer(XBRLValidationReport.ReportParts[] reportParts)` Creates an XBRLValidationReportToStringSerializer that will include the report parts indicated in the array.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getReportString()` Gets the report string.
    `void` | `serialize(XBRLValidationReport report)` Produces the output of the XBRLValidationReport in the object implementing this interface.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLValidationReportToStringSerializer

          public XBRLValidationReportToStringSerializer()

      Creates an XBRLValidationReportToStringSerializer that will include the ERRORS section and the INCONSISTENCIES section.

    - #### XBRLValidationReportToStringSerializer

          public XBRLValidationReportToStringSerializer(XBRLValidationReport.ReportParts[] reportParts)

      Creates an XBRLValidationReportToStringSerializer that will include the report parts indicated in the array.
      Parameters:
        `reportParts` - the report parts

  - ### Method Detail

    - #### serialize

          public void serialize(XBRLValidationReport report)

      Description copied from interface: `XBRLValidationReportSerializer`
      Produces the output of the XBRLValidationReport in the object implementing this interface.
      Specified by:
        `serialize` in interface `XBRLValidationReportSerializer`
      Parameters:
        `report` - the xbrl validation report

    - #### getReportString

          public java.lang.String getReportString()

      Gets the report string.
      Returns:
        String, the content of the report once it is serialized into an string